function etoile(X,q,c,d)

%ETOILE(X,q,c,d)
%Realise le profil en etoile des lignes du tableau X
%q=nom des lignes
%c=nom des colonnes 
%d=[k l]: disposition en sortie 
% Exemple:n=[4 3] une page de sortie comporte 
%une matrice 4 lignes 3 colonnes de vignettes (analogue a subplot)
%par defaut d=[1 1]

if nargin<=3
    d=[1 1];
end

[n,p]=size(X);
teta=(2*pi/p)*[0:p-1]';
u=[cos(teta) sin(teta)];

etendue=max(X)-min(X)+0.1;
nv=d(1)*d(2);
figure
j=1;

for i=1:n
    profil=[((-min(X)+0.1+X(i,:))./etendue+0.1)'.*u(:,1) ((-min(X)+0.1+X(i,:))./etendue+0.1)'.*u(:,2)];
    subplot(d(1),d(2),j)
    plot([u(:,1)'; zeros(1,p)],[u(:,2)'; zeros(1,p)],'b');
    profilrep=[profil;profil(1,:)];
    plot(profilrep(:,1),profilrep(:,2),'r')
    title(q(i,:))
    hold on
    plot([u(:,1)'; zeros(1,p)],[u(:,2)'; zeros(1,p)],'b');
    axis([-1 1 -1 1]);
    set(gca,'XTick',[-1 1],'YTick',[-1 1])
    text(0.9*u(:,1)-0.1,u(:,2),c)
    hold off

    if rem(i,nv)==0 & i<n
        figure
        j=1;
    else j=j+1;
    end
end
